Package org.eclipse.emf.cdo.expressions

## Interface MemberAccess

- All Superinterfaces:
    `Access`, `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `Expression`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `MemberAccessImpl`

      public interface MemberAccess
      extends Access

  A representation of the model object 'Member Access'.

  The following features are supported:

  - `Object`
  See Also:
    `ExpressionsPackage.getMemberAccess()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `getObject()` | Returns the value of the 'Object' containment reference.
    `void` | `setObject​(Expression value)` | Sets the value of the '`Object`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Access

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getObject

          Expression getObject()

      Returns the value of the 'Object' containment reference.

      If the meaning of the 'Object' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Object' containment reference.
      See Also:
        `setObject(Expression)`, `ExpressionsPackage.getMemberAccess_Object()`
      Generated
      Model
        containment="true" required="true"

    - #### setObject

          void setObject​(Expression value)

      Sets the value of the '`Object`' containment reference.
      Parameters:
        `value` - the new value of the 'Object' containment reference.
      See Also:
        `getObject()`
      Generated